Debian Bug report logs - #510757
knetworkmanager: /etc/dbus-1/system.d file needs alterations for fd.o #18961

version graph

Package: knetworkmanager; Maintainer for knetworkmanager is (unknown);

Reported by: Simon McVittie <smcv@debian.org>

Date: Sun, 4 Jan 2009 17:33:02 UTC

Severity: normal

Found in version 0.2.2-1

Fixed in version knetworkmanager/1:0.7~~svn908338-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Biebl <biebl@debian.org>:
Bug#510757; Package knetworkmanager. (Sun, 04 Jan 2009 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Biebl <biebl@debian.org>. (Sun, 04 Jan 2009 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: knetworkmanager: /etc/dbus-1/system.d file needs alterations for fd.o #18961
Date: Sun, 4 Jan 2009 17:26:59 +0000
[Message part 1 (text/plain, inline)]
Package: knetworkmanager
Version: 0.2.2-1
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: fdo-18961

knetworkmanager's D-Bus system.d config should be updated to fix
non-deterministic allow/deny for messages with no interface; the D-Bus
upstream recommendation seems to be that every allow or deny rule with
send_interface="..." should have a suitable send_destination attribute too.

In this case, this would make them redundant with the lines matching
send_destination="...", so they can just be removed (see
https://bugzilla.redhat.com/show_bug.cgi?id=475468 for the Red Hat bug).

http://bugs.freedesktop.org/show_bug.cgi?id=18961 is the D-Bus bug tracking
this; there have also been discussions on the D-Bus mailing list.

Regards from the Cambridge BSP,
    Simon
[signature.asc (application/pgp-signature, inline)]

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 05 Feb 2009 21:57:05 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Thu, 05 Feb 2009 21:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 510757-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510757-close@bugs.debian.org
Subject: Bug#510757: fixed in knetworkmanager 1:0.7~~svn908338-2
Date: Thu, 05 Feb 2009 21:32:03 +0000
Source: knetworkmanager
Source-Version: 1:0.7~~svn908338-2

We believe that the bug you reported is fixed in the latest version of
knetworkmanager, which is due to be installed in the Debian FTP archive:

knetworkmanager_0.7~~svn908338-2.diff.gz
  to pool/main/k/knetworkmanager/knetworkmanager_0.7~~svn908338-2.diff.gz
knetworkmanager_0.7~~svn908338-2.dsc
  to pool/main/k/knetworkmanager/knetworkmanager_0.7~~svn908338-2.dsc
network-manager-kde_0.7~~svn908338-2_i386.deb
  to pool/main/k/knetworkmanager/network-manager-kde_0.7~~svn908338-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510757@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated knetworkmanager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Feb 2009 01:52:22 +0100
Source: knetworkmanager
Binary: network-manager-kde
Architecture: source i386
Version: 1:0.7~~svn908338-2
Distribution: experimental
Urgency: low
Maintainer: Michael Biebl <biebl@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 network-manager-kde - KDE systray applet for controlling NetworkManager
Closes: 510757 511526
Changes: 
 knetworkmanager (1:0.7~~svn908338-2) experimental; urgency=low
 .
   * debian/patches/04-dbus_access.patch
     - Update D-Bus names and interfaces for NM 0.7. Closes: #511526
     - Remove bare send_interface directives to avoid non-deterministic allow
       messages with no interface. Closes: #510757
     - Do not allow unpriviledged processes to ask for a users' connections.
     - Allow introspection by default.
Checksums-Sha1: 
 71bf1ce9cebe16bc3fc646047ce78ade4245f29f 1568 knetworkmanager_0.7~~svn908338-2.dsc
 1af895905fa3b3a2d8221abbfd59b96efd7ef24f 7496 knetworkmanager_0.7~~svn908338-2.diff.gz
 e2905f18abf961be3ee49f6c1c3466ada7f6307d 612708 network-manager-kde_0.7~~svn908338-2_i386.deb
Checksums-Sha256: 
 fe5375a923c12a9c6e9db4189f86ca10fa217f38a5eabc475c311221dbae51e7 1568 knetworkmanager_0.7~~svn908338-2.dsc
 3a1e21e8b71c6cbd37347d4c4ed379b5025b1183710a2be46d1e0b6ca060f3b3 7496 knetworkmanager_0.7~~svn908338-2.diff.gz
 0553c3fc7ff5d293dcf6b44882deaf2523475a2f24ecaf5b4b92e003a9142f6e 612708 network-manager-kde_0.7~~svn908338-2_i386.deb
Files: 
 c894a53297ddd3ef79d4a58cd1aeebf7 1568 kde optional knetworkmanager_0.7~~svn908338-2.dsc
 4320ca1719f210f35dabff7c27d7bc8f 7496 kde optional knetworkmanager_0.7~~svn908338-2.diff.gz
 a3464bd9f80fd2cb047bde4d30a6697a 612708 kde optional network-manager-kde_0.7~~svn908338-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmLVfgACgkQh7PER70FhVS6RwCgv/gZVMwKTMVKyfCLhXOUIAg6
ra8An1kyFMzFnE5H6hZMzohQ9jiCUfez
=GBE2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Mar 2009 07:30:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:40:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.